Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.export
Class AbstractJenaFileExportPlugin

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.export.AbstractJenaFileExportPlugin

All Implemented Interfaces:
  edu.stanford.smi.protege.plugin.ExportPlugin, edu.stanford.smi.protege.plugin.Plugin, edu.stanford.smi.protege.util.Disposable

Direct Known Subclasses:
  JenaN3FileExportPlugin, JenaNTripleFileExportPlugin, JenaTurtleFileExportPlugin

    public abstract class AbstractJenaFileExportPlugin

extends Object
implements edu.stanford.smi.protege.plugin.ExportPlugin

Author:
  Holger Knublauch

Constructor Summary
`protected` | `AbstractJenaFileExportPlugin(String lang)`

Method Summary
`void` | `dispose()`
`String` | `getName()`
`void` | `handleExportRequest(edu.stanford.smi.protege.model.Project project)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJenaFileExportPlugin

    protected AbstractJenaFileExportPlugin(String lang)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getName

    public String getName()

  Specified by:
    `getName` in interface `edu.stanford.smi.protege.plugin.Plugin`

### handleExportRequest

    public void handleExportRequest(edu.stanford.smi.protege.model.Project project)

  Specified by:
    `handleExportRequest` in interface `edu.stanford.smi.protege.plugin.ExportPlugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.